#864 Privoxy stop to work after a while

version 3.0.21
pending
Fabian Keil
5
2014-08-21
2013-08-30
Giova84
No

After a while (about 30 mins) privoxy stop to work, and thi soccurs with any browser.
Which is happen, with any browser configured to use privoxy, consist in the fact that no webpages are opened, and i also doesn't obtain any error about timeout. Web pages/sites still attempt to load without errors. I have also tried to quit and kill privoxy from a Terminal window (kill privoxy) then start it again (i have also tried using another config file) but the issue is still here.
Obviously my internet connetcion works fine, since if i kill privoxy and i configure my browser without a proxy server, i can propery load webpages.
I use Haiku as OS and privoxy 3.0.21
I cas use privoxy as simple web filter and also with TOR, without any issue, except for the fact that privoxy itself, as i've said, stop to work after about 30 mins. To use it again, i have to restart my system. While privoxy stop to work, i am also unable to open the web config page.

The log file doesn't show anything about/useful.

In anyway, for now, i've found a workaround to avoid this issue. I made a shell script like this:

while true
do
privoxy /boot/common/etc/privoxy/config &
sleep 25m
kill privoxy
done
fi

Every 25 mins, Privoxy is automatically killed and then is started again.. For now seems that no longer hangs, thanks to this "auto renewal"..

Discussion

1 2 > >> (Page 1 of 2)
  • Giova84
    Giova84
    2013-08-30

    after a reboot, this time, from startup, privoxy is "dead" after only 10 mins.

     
  • Fabian Keil
    Fabian Keil
    2013-08-30

    Thanks for the report.

    Please enable the debug directives recommended at:
    http://www.privoxy.org/user-manual/contact.html
    and post the last ~30 log messages before Privoxy "stops working".

    You could also try replacing the "kill privoxy" in your script with "touch /boot/common/etc/privoxy/config" to see if it works around the problem as well.

     
  • Fabian Keil
    Fabian Keil
    2013-08-30

    • assigned_to: nobody --> fabiankeil
    • labels: 103839 --> haiku-specific
    • status: open --> pending
     
  • Giova84
    Giova84
    2013-08-31

    • status: pending --> open
     
  • Giova84
    Giova84
    2013-08-31

    Yesterday Privoxy has worked for some hours (from afternoon till 5:00 AM) without issue (and without using the mentioned script to renew it again every tot minutes)
    Today has worked only for seven minutes!

    I tried with "touch /boot/common/etc/privoxy/config" but doesn't solve.
    I have also activated "debug 8192" in the config file, but the log file only show me messages about yesterday; nothing related to today, about the fact that Privoxy has stopped to work again. And aslo as i've said, yesterday has worked without issues all day long.
    In anyway this is the log:
    2013-08-30 20:14:57.785 03b2d190 Error: Denying access to http://config.privoxy.org/send-stylesheet. No referrer found.
    2013-08-30 20:15:02.586 03b2d190 Error: Denying access to http://config.privoxy.org/send-stylesheet. No referrer found.
    2013-08-30 22:01:19.706 03bb93e0 Error: Denying access to http://config.privoxy.org/send-stylesheet. No referrer found.
    2013-08-31 04:53:52.851 03c167d0 Error: Didn't receive data in time: s-static.ak.facebook.com:443

    Works very randomly. Sometimes works only for few minutes, sometimes for an half hour, some times for some hours and sometimes for all day long.

    What can i also attempt to do?

     
  • Giova84
    Giova84
    2013-08-31

    But especially i don't understand why, to have privoxy working again, i have to restart the whole system and is not enough just kill it and start it again. The previous script kill privoxy before it stop to work. But if i attempt to kill privoxy once is "dead", the kill command doesn't solve.
    There are some temporary files that i have to delete or something similar?

     
  • Giova84
    Giova84
    2013-09-02

    Update:
    Privoxy, yesterday and today has worked perfectly, without any issue. Has worked about for 20 hours.
    Then, just few minutes ago is "dead" again. If i look at the log, no error is showed, just normal activity of browsing.

    The logfile only show a bunch of
    2013-09-02 20:46:41.757 0477e108 Request:
    followed by web pages.

    And i didn't notice some problematic website. In two days i have browsed a lot of websites.
    Any other suggestion?

     
  • Fabian Keil
    Fabian Keil
    2013-09-03

    • status: open --> pending
     
  • Fabian Keil
    Fabian Keil
    2013-09-03

    You could provide the log excerpt as initially requested. If your log only contains "Request:" messages you aren't using the recommended debug directives.

     
  • Giova84
    Giova84
    2013-09-03

    • status: pending --> open
     
  • Giova84
    Giova84
    2013-09-03

    In the config file of privoxy i have set:

    debug 1
    debug 1024
    debug 4096
    debug 8192

    Isn't enough? Which other debug level i have to set? Any available?

    In anyway the following is my complete log (today Privoxy has worked only for 6 minute)

    2013-09-03 16:00:42.724 01d723c0 Info: Privoxy version 3.0.21
    2013-09-03 16:00:42.724 01d723c0 Info: Program name: privoxy
    2013-09-03 16:00:42.724 01d723c0 Info: Loading filter file: /boot/common/etc/privoxy/default.filter
    2013-09-03 16:00:42.727 01d723c0 Info: Loading filter file: /boot/common/etc/privoxy/user.filter
    2013-09-03 16:00:42.727 01d723c0 Info: Loading actions file: /boot/common/etc/privoxy/match-all.action
    2013-09-03 16:00:42.728 01d723c0 Info: Loading actions file: /boot/common/etc/privoxy/default.action
    2013-09-03 16:00:42.732 01d723c0 Info: Loading actions file: /boot/common/etc/privoxy/user.action
    2013-09-03 16:00:42.733 01d723c0 Info: Loading actions file: /boot/common/etc/privoxy/default.action
    2013-09-03 16:00:42.737 01d723c0 Info: Loading actions file: /boot/common/etc/privoxy/blacklist.action
    2013-09-03 16:00:42.754 01d723c0 Info: Listening on port 8080 on IP address 127.0.0.1
    2013-09-03 16:00:45.151 03eff0c8 Request: csi.gstatic.com:443/
    2013-09-03 16:01:02.737 03efe878 Request: mail.google.com:443/
    2013-09-03 16:01:04.840 03efe028 Request: sourceforge.net:443/
    2013-09-03 16:01:07.133 03f190c8 Request: csi.gstatic.com:443/
    2013-09-03 16:01:09.892 03efe028 Request: sourceforge.net:443/
    2013-09-03 16:01:11.769 03f18878 Request: static.sourceforge.net:443/
    2013-09-03 16:01:11.784 03f18028 Request: static.sourceforge.net:443/
    2013-09-03 16:01:11.792 03f150c8 Request: static.sourceforge.net:443/
    2013-09-03 16:01:11.805 03f14878 Request: static.sourceforge.net:443/
    2013-09-03 16:01:11.811 03f14028 Request: static.sourceforge.net:443/
    2013-09-03 16:01:12.171 03fe2018 Request: static.sourceforge.net:443/
    2013-09-03 16:01:12.180 03fe17c8 Request: plus.google.com:443/
    2013-09-03 16:01:13.692 03fe0f78 Crunch: Blocked: ssl.google-analytics.com:443
    2013-09-03 16:01:13.711 03fe0f78 Request: a.fsdn.com:443/
    2013-09-03 16:01:13.736 03fea018 Crunch: Blocked: sb.scorecardresearch.com:443
    2013-09-03 16:01:18.226 03efe028 Request: sourceforge.net:443/
    2013-09-03 16:01:19.369 03f14028 Request: static.sourceforge.net:443/
    2013-09-03 16:01:19.379 03f150c8 Request: static.sourceforge.net:443/
    2013-09-03 16:01:19.388 03f18028 Request: static.sourceforge.net:443/
    2013-09-03 16:01:19.396 03f18878 Request: static.sourceforge.net:443/
    2013-09-03 16:01:21.777 03fea018 Crunch: Blocked: ssl.google-analytics.com:443
    2013-09-03 16:01:21.802 03fea018 Crunch: Blocked: sb.scorecardresearch.com:443
    2013-09-03 16:01:22.104 03efe028 Request: haikuware.com/
    2013-09-03 16:01:23.090 03efe028 Request: haikuware.com/plugins/system/2j_tabs/2j_tabs.css
    2013-09-03 16:01:23.098 03ff6018 Request: haikuware.com/modules/mod_kunenalatest/tmpl/css/kunenalatest.css
    2013-09-03 16:01:23.106 03ff57c8 Request: haikuware.com/components/com_easyblog/assets/css/module.css
    2013-09-03 16:01:23.113 03ff4f78 Request: haikuware.com/plugins/system/2j_tabs/jq_last.js
    2013-09-03 16:01:23.120 03fea018 Request: haikuware.com/plugins/system/2j_tabs/2j.ui.base.js
    2013-09-03 16:01:23.129 03fe97c8 Request: haikuware.com/plugins/system/2j_tabs/2j.ui.tabs.js
    2013-09-03 16:01:23.257 03efe028 Request: haikuware.com/plugins/system/mtupgrade/mootools.js
    2013-09-03 16:01:23.269 03ff6018 Request: haikuware.com/components/com_remository/remository.css
    2013-09-03 16:01:23.307 03ff57c8 Request: haikuware.com/components/com_comprofiler/js/jquery-1.5.0/jquery-1.5.0.min.js
    2013-09-03 16:01:23.336 03ff6018 Request: haikuware.com/components/com_comprofiler/js/tabpane.min.js
    2013-09-03 16:01:23.380 03fea018 Request: haikuware.com/templates/rt_mynxx_j15_remository/css/template.css
    2013-09-03 16:01:23.429 03ff6018 Request: haikuware.com/templates/rt_mynxx_j15_remository/css/dark.css
    2013-09-03 16:01:23.435 0405ca70 Request: haikuware.com/templates/rt_mynxx_j15_remository/css/typography.css
    2013-09-03 16:01:23.449 03ff4f78 Request: haikuware.com/templates/system/css/system.css
    2013-09-03 16:01:23.498 03fe8f78 Request: haikuware.com/templates/system/css/general.css
    2013-09-03 16:01:23.523 03ff57c8 Request: haikuware.com/templates/rt_mynxx_j15_remository/css/rokmoomenu.css
    2013-09-03 16:01:23.614 03ff6018 Request: haikuware.com/components/com_virtuemart/themes/vm_mynxx/theme.css
    2013-09-03 16:01:23.627 03fea018 Request: haikuware.com/components/com_virtuemart/themes/vm_mynxx/theme.js
    2013-09-03 16:01:23.663 0405ca70 Request: haikuware.com/templates/rt_mynxx_j15_remository/js/rokutils.js
    2013-09-03 16:01:23.679 03ff6018 Request: haikuware.com/plugins/system/2j_tabs/def.css
    2013-09-03 16:01:23.697 03efe028 Request: haikuware.com/plugins/system/2j_tabs/style16.tabs.css
    2013-09-03 16:01:23.707 03ff4f78 Request: haikuware.com/plugins/system/2j_tabs/style17.tabs.css
    2013-09-03 16:01:23.740 03fea018 Request: haikuware.com/plugins/system/2j_tabs/style99.tabs.css
    2013-09-03 16:01:24.032 03fe2018 Request: www.paypal.com:443/
    2013-09-03 16:01:24.042 03fe8f78 Request: haikuware.com/images/stories/users/twitter.png
    2013-09-03 16:01:24.048 03ff6018 Request: haikuware.com/images/stories/users/art.png
    2013-09-03 16:01:24.057 03ff57c8 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/topbar-m.png
    2013-09-03 16:01:24.136 03ff57c8 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/topbar-div.png
    2013-09-03 16:01:24.139 03fe8f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/topbar-l.png
    2013-09-03 16:01:24.139 03fea018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/cart-drop.png
    2013-09-03 16:01:24.140 03ff6018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/topbar-r.png
    2013-09-03 16:01:24.141 03efe028 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/user-icon-d.png
    2013-09-03 16:01:24.141 03ff4f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/home-icon-d.png
    2013-09-03 16:01:24.205 03ff57c8 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/maincontent-br.png
    2013-09-03 16:01:24.215 03fe8f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/showcase-bg.png
    2013-09-03 16:01:24.228 03fea018 Request: haikuware.com/images/stories/logo6.png
    2013-09-03 16:01:24.232 03ff6018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/maincontent-bl.png
    2013-09-03 16:01:24.242 03efe028 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/vert-line.png
    2013-09-03 16:01:24.254 03ff4f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/side-li-bg-w.png
    2013-09-03 16:01:24.278 03ff57c8 Request: haikuware.com/modules/mod_donthermometer/thermometertop.png
    2013-09-03 16:01:24.292 03fe8f78 Request: haikuware.com/modules/mod_donthermometer/thermometermid.png
    2013-09-03 16:01:24.321 03fea018 Request: haikuware.com/modules/mod_donthermometer/thermometerbulbmid.png
    2013-09-03 16:01:24.324 03ff6018 Request: haikuware.com/components/com_remository/images/folder_icons/foldergeneric2.png
    2013-09-03 16:01:24.330 03efe028 Request: haikuware.com/components/com_remository/images/search.gif
    2013-09-03 16:01:24.348 03ff4f78 Request: haikuware.com/components/com_remository/images/add_file.gif
    2013-09-03 16:01:24.357 03ff57c8 Request: haikuware.com/modules/mod_jcomments/images/rss.gif
    2013-09-03 16:01:24.370 03fe8f78 Request: haikuware.com/images/comprofiler/tn123_4f624570a1129.png
    2013-09-03 16:01:24.391 03fea018 Request: haikuware.com/images/comprofiler/tn77077_4aedaecd08fa9.jpg
    2013-09-03 16:01:24.412 03ff6018 Request: haikuware.com/components/com_comprofiler/plugin/templates/default/images/avatar/tnnophoto_n.png
    2013-09-03 16:01:24.422 03efe028 Request: haikuware.com/components/com_remository/images/file_icons/devices.png
    2013-09-03 16:01:24.440 03ff4f78 Request: haikuware.com/components/com_remository/images/file_icons/more2/icon32a.gif
    2013-09-03 16:01:24.452 03ff57c8 Request: haikuware.com/components/com_remository/images/file_icons/favourites.gif
    2013-09-03 16:01:24.476 03fea018 Request: haikuware.com/components/com_remository/images/file_icons/walter.gif
    2013-09-03 16:01:24.485 03fe8f78 Request: haikuware.com/components/com_remository/images/file_icons/earth.png
    2013-09-03 16:01:24.490 03ff6018 Request: haikuware.com/components/com_remository/images/calendar.gif
    2013-09-03 16:01:24.499 03efe028 Request: haikuware.com/components/com_remository/images/file_icons/football.jpg
    2013-09-03 16:01:24.514 03ff4f78 Request: haikuware.com/components/com_remository/images/file_icons/csound.gif
    2013-09-03 16:01:24.530 03ff57c8 Request: haikuware.com/components/com_remository/images/file_icons/archive_zip.gif
    2013-09-03 16:01:24.544 03fea018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/side-li-bg.png
    2013-09-03 16:01:24.553 03fe8f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/menu-arrow-over.png
    2013-09-03 16:01:24.566 03ff6018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/menu-arrow.png
    2013-09-03 16:01:24.578 03efe028 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/module-h3.png
    2013-09-03 16:01:24.591 03ff4f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/module2-h3.png
    2013-09-03 16:01:24.607 03ff57c8 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/maincontent-tl.png
    2013-09-03 16:01:24.620 03fea018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/maincontent-tr.png
    2013-09-03 16:01:24.645 03fe8f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/main/top-icon-d.png
    2013-09-03 16:01:24.647 03ff6018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/footer-bl.png
    2013-09-03 16:01:24.657 03efe028 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/footer-br.png
    2013-09-03 16:01:24.667 03ff4f78 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/footerbar-m.png
    2013-09-03 16:01:24.681 03ff57c8 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/footerbar-l.png
    2013-09-03 16:01:24.693 03fea018 Request: haikuware.com/templates/rt_mynxx_j15_remository/images/dark/footerbar-r.png
    2013-09-03 16:01:24.714 03fe8f78 Request: haikuware.com/plugins/system/2j_tabs/i/tabs_s17.png
    2013-09-03 16:01:24.725 03ff6018 Request: haikuware.com/plugins/system/2j_tabs/i/tabs_s17_2.png
    2013-09-03 16:01:25.011 03fe8f78 Request: haikuware.com/images/favicon.ico
    2013-09-03 16:01:26.889 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:01:31.715 03efe028 Request: mail.google.com:443/
    2013-09-03 16:01:31.889 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:01:36.916 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:01:38.072 03f18878 Request: www.haiku-os.org/
    2013-09-03 16:01:38.361 04052a70 Request: www.haiku-os.org/files/css/css_f37a0341755e0a17e44c6e936265219d.css
    2013-09-03 16:01:38.370 04052220 Request: www.haiku-os.org/files/js/js_efd2e3356dd4c4fcef1a331b510edd69.js
    2013-09-03 16:01:38.962 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/bg-page.png
    2013-09-03 16:01:39.005 040519d0 Request: www.haiku-inc.org/images/piggy-bank.png
    2013-09-03 16:01:39.022 03fe97c8 Request: haikudownunder.com/gallery/photo.php?48
    2013-09-03 16:01:39.037 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/logo.png
    2013-09-03 16:01:39.047 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/topnav-main.png
    2013-09-03 16:01:39.056 04052220 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Login_32.png
    2013-09-03 16:01:39.066 03fe8f78 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Register_32.png
    2013-09-03 16:01:39.076 03fea018 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/topnav-separator.png
    2013-09-03 16:01:39.085 03f14028 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/installer_32.png
    2013-09-03 16:01:39.131 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/App_Mail_32.png
    2013-09-03 16:01:39.138 04052220 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/App_Finance_32.png
    2013-09-03 16:01:39.185 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/bg-menu.png
    2013-09-03 16:01:39.205 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/search-button.png
    2013-09-03 16:01:39.217 04052220 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/bg-preface.png
    2013-09-03 16:01:39.252 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/shijin/haiku-images/GET-HAIKU-download-box-with-text-r1a4.png
    2013-09-03 16:01:39.272 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/installer_64.png
    2013-09-03 16:01:39.361 03f150c8 Crunch: Blocked: http://www.google-analytics.com/ga.js
    2013-09-03 16:01:39.381 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/people_64.png
    2013-09-03 16:01:39.450 04052220 Request: www.haiku-os.org/files/images/flattr-badge-large.png
    2013-09-03 16:01:39.465 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/bg-main.png
    2013-09-03 16:01:39.468 03fe8f78 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/microphone_48.png
    2013-09-03 16:01:39.474 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/images/block-gradient.png
    2013-09-03 16:01:39.520 03fea018 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/images/raquo.png
    2013-09-03 16:01:39.532 04052220 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/styled_edit_48.png
    2013-09-03 16:01:39.545 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/App_Chat_48.png
    2013-09-03 16:01:39.573 03fe8f78 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/File_Text_48.png
    2013-09-03 16:01:39.591 04052a70 Request: www.haiku-os.org/sites/all/modules/quicktabs/tabstyles/zen/images/tab-bar.png
    2013-09-03 16:01:39.595 03f14028 Request: www.haiku-os.org/sites/all/modules/quicktabs/tabstyles/zen/images/tab-left-ie6.png
    2013-09-03 16:01:39.601 03fea018 Request: www.haiku-os.org/sites/all/modules/quicktabs/tabstyles/zen/images/tab-right-ie6.png
    2013-09-03 16:01:39.621 04052220 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-links/link_tags.png
    2013-09-03 16:01:39.635 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-links/link_comments.png
    2013-09-03 16:01:39.646 03fe8f78 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/read_more_16.png
    2013-09-03 16:01:39.658 04052a70 Request: www.haiku-os.org/sites/all/modules/service_links/images/facebook.png
    2013-09-03 16:01:39.669 03f14028 Request: www.haiku-os.org/sites/all/modules/service_links/images/twitter.png
    2013-09-03 16:01:39.680 03fea018 Request: www.haiku-os.org/sites/all/modules/service_links/images/slashdot.png
    2013-09-03 16:01:39.701 04052220 Request: www.haiku-os.org/sites/all/modules/service_links/images/reddit.png
    2013-09-03 16:01:39.721 03f18878 Request: www.haiku-os.org/sites/all/modules/service_links/images/technorati.png
    2013-09-03 16:01:39.727 03fe8f78 Request: www.haiku-os.org/misc/feed.png
    2013-09-03 16:01:39.735 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/bg-legal.png
    2013-09-03 16:01:39.748 03f14028 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/feed_16.png
    2013-09-03 16:01:39.759 03fea018 Request: www.haiku-os.org/sites/all/modules/extlink/extlink.png
    2013-09-03 16:01:40.891 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/favicon.ico
    2013-09-03 16:01:41.912 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:01:46.892 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:01:48.949 03f18878 Request: www.haiku-os.org/community/forum/if_you_go_multiuser_will_you_asked_suggestions
    2013-09-03 16:01:49.151 03f14878 Request: www.haiku-os.org/files/css/css_fad057ff11af1f03bd5b315d7b91f687.css
    2013-09-03 16:01:49.167 03f14028 Request: www.haiku-os.org/files/js/js_92f70d7052b7102dfa3aa83df704017b.js
    2013-09-03 16:01:49.745 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/logo.png
    2013-09-03 16:01:49.755 03f14878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Login_32.png
    2013-09-03 16:01:49.765 03f14028 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Register_32.png
    2013-09-03 16:01:49.775 03f150c8 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-images/topnav-separator.png
    2013-09-03 16:01:49.784 040519d0 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/installer_32.png
    2013-09-03 16:01:49.794 04052a70 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/App_Mail_32.png
    2013-09-03 16:01:49.815 03f18878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/App_Finance_32.png
    2013-09-03 16:01:49.836 04052220 Crunch: Blocked: http://www.google-analytics.com/ga.js
    2013-09-03 16:01:51.916 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:01:56.924 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:01.899 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:06.973 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:16.902 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:21.902 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:26.921 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:31.926 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:36.915 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:41.921 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:46.984 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:51.893 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:02:56.892 03f18028 Request: sourceforge.net:443/
    2013-09-03 16:03:01.979 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:11.925 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:16.938 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:21.910 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:26.942 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:31.904 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:36.903 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:41.908 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:46.944 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:49.652 03f190c8 Request: www.privoxy.org/faq/trouble.html
    2013-09-03 16:03:50.284 03f190c8 Request: www.privoxy.org/p_doc.css
    2013-09-03 16:03:50.518 03f190c8 Request: www.privoxy.org/favicon.ico
    2013-09-03 16:03:51.900 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:03:56.902 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:04:01.962 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:04:06.896 03eff0c8 Request: sourceforge.net:443/
    2013-09-03 16:06:12.899 03eff0c8 Request: plus.google.com:443/

     
  • Giova84
    Giova84
    2013-09-03

    Ok, sorry. Now i have enabled

    debug     1 # Log the destination for each request Privoxy let through. See also debug 1024.
    debug     2 # show each connection status
    debug     4 # show I/O status
    debug     8 # show header parsing
    debug   128 # debug redirects
    debug   256 # debug GIF de-animation
    debug   512 # Common Log Format
    debug  1024 # Log the destination for requests Privoxy didn't let through, and the reason why.
    debug  4096 # Startup banner and warnings.
    debug  8192 # Non-fatal errors

     
  • Giova84
    Giova84
    2013-09-04

    These are the last lines before Privoxy stop working. Are these messages useful?

    2013-09-05 01:23:59.475 03ed20c8 Crunch: Blocked: http://www.google-analytics.com/ga.js
    127.0.0.1 - - [05/Sep/2013:01:23:59 +0200] "GET http://www.google-analytics.com/ga.js HTTP/1.1" 403 1
    2013-09-05 01:23:59.476 03ed20c8 Connect: Waiting for the next client request on socket 13. No server socket to keep open.
    2013-09-05 01:23:59.577 03ed20c8 Connect: Client request 5 arrived in time on socket 13.
    2013-09-05 01:23:59.578 03ed20c8 Connect: Complete client request received.
    2013-09-05 01:23:59.578 03ed20c8 Header: scan: GET http://www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Login_32.png HTTP/1.1
    2013-09-05 01:23:59.578 03ed20c8 Header: scan: Host: www.haiku-os.org
    2013-09-05 01:23:59.578 03ed20c8 Header: scan: Accept: */*
    2013-09-05 01:23:59.578 03ed20c8 Header: scan: Accept-Encoding: deflate, gzip
    2013-09-05 01:23:59.578 03ed20c8 Header: scan: Proxy-Connection: Keep-Alive
    2013-09-05 01:23:59.578 03ed20c8 Header: scan: User-Agent: Mozilla/5.0 (compatible; U; Haiku x86; en) AppleWebKit/536.10 (KHTML, like Gecko) Haiku/R1 WebPositive/1.1 Safari/536.10
    2013-09-05 01:23:59.578 03ed20c8 Header: scan: Referer: http://www.haiku-os.org/
    2013-09-05 01:23:59.578 03ed20c8 Header: crumble crunched: Proxy-Connection: Keep-Alive!
    2013-09-05 01:23:59.578 03ed20c8 Header: New HTTP Request-Line: GET /sites/haiku-os.org/themes/current/haiku-icons/Action_Login_32.png HTTP/1.1
    2013-09-05 01:23:59.579 03ed20c8 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Login_32.png
    2013-09-05 01:23:59.579 03ed20c8 Connect: to www.haiku-os.org
    2013-09-05 01:24:00.207 03ed1878 Connect: Done reading from server. Content length: 58120 as expected. Bytes most recently read: 785.
    127.0.0.1 - - [05/Sep/2013:01:24:00 +0200] "GET http://haikudownunder.com/gallery/photo.php?48 HTTP/1.1" 200 58120
    2013-09-05 01:24:00.207 03ed1878 Connect: Closing server socket 18 connected to haikudownunder.com. Keep-alive 1. Tainted: 0. Socket alive 1. Timeout: 0.
    2013-09-05 01:24:00.207 03ed1878 Connect: Waiting for the next client request on socket 15. No server socket to keep open.
    2013-09-05 01:24:00.296 03ed1878 Connect: Client request 3 arrived in time on socket 15.
    2013-09-05 01:24:00.296 03ed1878 Connect: Complete client request received.
    2013-09-05 01:24:00.297 03ed1878 Header: scan: GET http://www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Register_32.png HTTP/1.1
    2013-09-05 01:24:00.297 03ed1878 Header: scan: Host: www.haiku-os.org
    2013-09-05 01:24:00.297 03ed1878 Header: scan: Accept: */*
    2013-09-05 01:24:00.297 03ed1878 Header: scan: Accept-Encoding: deflate, gzip
    2013-09-05 01:24:00.297 03ed1878 Header: scan: Proxy-Connection: Keep-Alive
    2013-09-05 01:24:00.297 03ed1878 Header: scan: User-Agent: Mozilla/5.0 (compatible; U; Haiku x86; en) AppleWebKit/536.10 (KHTML, like Gecko) Haiku/R1 WebPositive/1.1 Safari/536.10
    2013-09-05 01:24:00.297 03ed1878 Header: scan: Referer: http://www.haiku-os.org/
    2013-09-05 01:24:00.297 03ed1878 Header: crumble crunched: Proxy-Connection: Keep-Alive!
    2013-09-05 01:24:00.297 03ed1878 Header: New HTTP Request-Line: GET /sites/haiku-os.org/themes/current/haiku-icons/Action_Register_32.png HTTP/1.1
    2013-09-05 01:24:00.297 03ed1878 Request: www.haiku-os.org/sites/haiku-os.org/themes/current/haiku-icons/Action_Register_32.png
    2013-09-05 01:24:00.297 03ed1878 Connect: to www.haiku-os.org
    2013-09-05 01:24:20.664 03ed1028 Error: Timeout #1 while trying to resolve haikuware.com. Trying again.
    2013-09-05 01:24:33.678 03ed1028 Error: Timeout #2 while trying to resolve haikuware.com. Trying again.
    2013-09-05 01:24:55.712 03ed1028 Error: Timeout #3 while trying to resolve haikuware.com. Trying again.
    2013-09-05 01:25:08.735 03ed1028 Error: Timeout #4 while trying to resolve haikuware.com. Trying again.

     
  • Fabian Keil
    Fabian Keil
    2013-09-06

    • status: open --> pending
     
  • Fabian Keil
    Fabian Keil
    2013-09-06

    These messages are indeed useful as they indicate that Privoxy isn't completely processing the last request. It would be good to know if Privoxy always hangs after DNS failures (the previous log doesn't seem to indicate this) of if this was a coincidence.

    If gdb is available for Haiku, you could try something like:
    gdb -p $(pgrep privoxy)
    and enter "where".

    This should tell us what Privoxy is doing while "hanging". Using another debugger should work as well, but the syntax may differ.

     
  • Giova84
    Giova84
    2013-09-06

    • status: pending --> open
     
  • Giova84
    Giova84
    2013-09-06

    Sure, on Haiku we have "gdb" available, but not pgrep:

    Ϟ 17:43:37 Ϟ ~ gdb -p $(pgrep privoxy)
    bash: pgrep: command not found
    gdb: option `-p' requires an argument

    There is an alternative using the simple "grep"?

     
  • Fabian Keil
    Fabian Keil
    2013-09-06

    • status: open --> pending
     
  • Fabian Keil
    Fabian Keil
    2013-09-06

    You can manually replace '$(pgrep privoxy)' with Privoxy's process id (pid).

     
  • Giova84
    Giova84
    2013-09-07

    • status: pending --> open
     
  • Giova84
    Giova84
    2013-09-07

    The following is the GDB output whrn Privoxy stop to work:

    [Switching to team /boot/common/bin/privoxy /boot/common/etc/privoxy/config (575) thread privoxy (575)]
    0x61c47114 in ?? ()
    (gdb) where
    #0 0x61c47114 in ?? ()
    #1 0x00d58abc in dis386_twobyte () from /boot/system/lib/gcc4/libroot.so
    #2 0x00000003 in ?? ()
    #3 0x63382b90 in ?? ()
    #4 0x00000000 in ?? ()
    #5 0x00000000 in ?? ()
    #6 0xffffffff in ?? ()
    #7 0xffffffff in ?? ()
    #8 0x00000000 in ?? ()
    #9 0x00d58a69 in dis386_twobyte () from /boot/system/lib/gcc4/libroot.so
    #10 0x00000000 in ?? ()
    #11 0x00b0eec8 in ?? ()
    #12 0x63382b78 in ?? ()
    #13 0x00b0eec8 in ?? ()
    #14 0x00000004 in ?? ()
    #15 0x00000003 in ?? ()
    #16 0x63382c28 in ?? ()
    ---Type <return> to continue, or q <return> to quit---
    #17 0x00aee2e6 in ?? ()
    #18 0x00000003 in ?? ()
    #19 0x63382b90 in ?? ()
    #20 0x00000000 in ?? ()
    #21 0x00000000 in ?? ()
    #22 0x00000000 in ?? ()
    #23 0x03d1d578 in ?? ()
    #24 0x00000014 in ?? ()
    #25 0x00aee296 in ?? ()
    #26 0x00000001 in ?? ()
    #27 0x00000001 in ?? ()
    #28 0x00000000 in ?? ()
    #29 0x63382b90 in ?? ()
    #30 0x00000002 in ?? ()
    #31 0x00000020 in ?? ()
    #32 0x00000000 in ?? ()
    #33 0x00d629b1 in _nc_info_table () from /boot/system/lib/gcc4/libroot.so
    Previous frame inner to this frame (corrupt stack?)

     
  • Fabian Keil
    Fabian Keil
    2013-09-08

    Looks like Privoxy has been built without debug symbols. Please recompile Privoxy with debug symbols (./configure --with-debug ...) and retry.

    If you are using the Privoxy package provided by the Haiku project this may also be a good opportunity to talk to them about it (especially if you run into problems recompiling Privoxy on Haiku in which case they are probably in a better position to help you than I am).

     
  • Fabian Keil
    Fabian Keil
    2013-09-08

    • status: open --> pending
     
  • Giova84
    Giova84
    2013-09-09

    I've built Privoxy by myself, since there's no available precompiled package for Haiku, And in anyway, Haiku devs, about third party software, always advise to contact the direct support for the third party software, since is not part of Haiku and they cannot do much.

    In anyway today (after two days of full work) Privoxy stops again, and the log show different messages:

    2013-09-09 18:20:49.083 02ddf2f0 Header: New HTTP Request-Line: GET /rsrc.php/v2/yj/r/tM0oPB9aB6U.js HTTP/1.1
    2013-09-09 18:20:49.083 02ddf2f0 Request: static.ak.fbcdn.net/rsrc.php/v2/yj/r/tM0oPB9aB6U.js
    2013-09-09 18:20:49.083 02ddf2f0 Connect: to static.ak.fbcdn.net
    2013-09-09 18:20:49.116 02ddf2f0 Connect: Created new connection to static.ak.fbcdn.net:80 on socket 25.
    2013-09-09 18:20:49.117 02ddf2f0 Connect: to static.ak.fbcdn.net successful
    2013-09-09 18:20:49.219 02ddf2f0 Header: scan: HTTP/1.1 200 OK
    2013-09-09 18:20:49.219 02ddf2f0 Header: scan: Access-Control-Allow-Origin: *
    2013-09-09 18:20:49.219 02ddf2f0 Header: scan: Content-Type: application/x-javascript; charset=utf-8
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Last-Modified: Thu, 05 Sep 2013 14:07:23 GMT
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: X-Content-Type-Options: nosniff
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Content-Encoding: gzip
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Content-MD5: +WOMjm1JvekjE+CCApE8LA==
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: X-FB-Debug: 09/oNrx4b6Z35uFwP6k7tKnWWpu33Oxe/0lLZP+c3cY=
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Vary: Accept-Encoding
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Content-Length: 45639
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Cache-Control: public, max-age=31209489
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Expires: Fri, 05 Sep 2014 21:38:58 GMT
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Date: Mon, 09 Sep 2013 16:20:49 GMT
    2013-09-09 18:20:49.220 02ddf2f0 Header: scan: Connection: keep-alive
    2013-09-09 18:20:49.220 02ddf2f0 Header: Keeping the server header 'Connection: keep-alive' around.
    2013-09-09 18:20:49.220 02ddf2f0 Header: Adding: Proxy-Connection: keep-alive
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: HTTP/1.1 200 OK
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: Cache-Control: private
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: Content-Type: text/html; charset=Windows-1252
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: Content-Encoding: gzip
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: Vary: Accept-Encoding
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: Server: Microsoft-IIS/7.5
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: X-AspNet-Version: 4.0.30319
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: p3p: policyref="/w3c/p3p.axd", CP="ALL ADM DEV OUR IND NAV PRE UNI"
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: Set-Cookie: ASP.NET_SessionId=ljk2ps45zrkwjk55er00f1qd; domain=.hwupgrade.it; path=/
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: X-Powered-By: ASP.NET
    2013-09-09 18:20:49.242 02ddeaa0 Header: scan: Date: Mon, 09 Sep 2013 16:20:22 GMT
    2013-09-09 18:20:49.243 02ddeaa0 Header: scan: Content-Length: 6957
    2013-09-09 18:20:49.243 02ddeaa0 Header: A HTTP/1.1 response without Connection header implies keep-alive.
    2013-09-09 18:20:49.243 02ddeaa0 Header: Adding: Proxy-Connection: keep-alive
    2013-09-09 18:20:49.295 02ddeaa0 Connect: Done reading from server. Content length: 6957 as expected. Bytes most recently read: 1592.
    127.0.0.1 - - [09/Sep/2013:18:20:49 +0200] "GET http://www.hwupgrade.it HTTP/1.1" 200 6957
    2013-09-09 18:20:49.295 02ddeaa0 Connect: Closing server socket 24 connected to www.hwupgrade.it. Keep-alive 1. Tainted: 0. Socket alive 1. Timeout: 0.
    2013-09-09 18:20:49.295 02ddeaa0 Connect: Waiting for the next client request on socket 13. No server socket to keep open.
    2013-09-09 18:20:49.349 02ddf2f0 Connect: The client closed socket 15 while the server socket 25 is still open.
    2013-09-09 18:20:49.350 02ddf2f0 Connect: Marking the server socket 25 tainted.
    2013-09-09 18:20:49.350 02ddf2f0 Connect: Received 19778 bytes while expecting 45639.
    127.0.0.1 - - [09/Sep/2013:18:20:49 +0200] "GET http://static.ak.fbcdn.net/rsrc.php/v2/yj/r/tM0oPB9aB6U.js HTTP/1.1" 200 19778
    2013-09-09 18:20:49.350 02ddf2f0 Connect: Closing server socket 25 connected to static.ak.fbcdn.net. Keep-alive 1. Tainted: 1. Socket alive 1. Timeout: 0.
    2013-09-09 18:20:49.350 02ddf2f0 Connect: Closing client socket 15. Keep-alive: 1. Socket alive: 0. Data available: 0. Configuration file change detected: 0. Requests received: 5.
    2013-09-09 18:20:49.861 02e3bfe0 Connect: Closing client socket 16. Keep-alive: 1. Socket alive: 1. Data available: 0. Configuration file change detected: 0. Requests received: 3.
    2013-09-09 18:20:49.887 02e3dfe0 Connect: Closing client socket 22. Keep-alive: 1. Socket alive: 1. Data available: 0. Configuration file change detected: 0. Requests received: 3.
    2013-09-09 18:20:49.949 02e3e830 Connect: Closing client socket 20. Keep-alive: 1. Socket alive: 1. Data available: 0. Configuration file change detected: 0. Requests received: 3.
    2013-09-09 18:20:54.295 02ddeaa0 Connect: Closing client socket 13. Keep-alive: 1. Socket alive: 1. Data available: 0. Configuration file change detected: 0. Requests received: 6.
    127.0.0.1 - - [09/Sep/2013:18:21:49 +0200] "CONNECT www.facebook.com:443 HTTP/1.1" 200 6400

    There's something of interesting in these messages? In anyway i can recompile Privoxy with debug symbols.

     
  • Giova84
    Giova84
    2013-09-09

    • status: pending --> open
     
1 2 > >> (Page 1 of 2)